<?php
	
	session_start();
	if (!isset($_SESSION['user_login_status']) AND $_SESSION['user_login_status'] != 1) {
        header("location: login.php");
		exit;
        }
		

	/* Connect To Database*/
	require_once ("config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
	require_once ("config/conexion.php");//Contiene funcion que conecta a la base de datos
	
	$active_facturas="";
	$active_productos="";
	$active_clientes="";
	$active_usuarios="active";	
	$title="CATALOGO PRECIOS DE PRODUCTO | FONTUR";
	
	
?>
<!DOCTYPE html>
<html lang="en">
<script src="scripts/functions.js"></script>
<script src="scripts/prefixfree.min.js"></script>
<script src="scripts/jquery.dataTables.js"></script>
<script src="scripts/jquery-ui-1.10.3.custom.js"></script>
<script src="scripts/jquery-barcode.js"></script>
<script language="JavaScript">
function redireccionar() { setTimeout("location.href='login.php?logout'", 600000); }
</script>

<head>
	<?php include("head.php");?>
</head>
<body onLoad="">
	<?php
	include("navbar.php");
	?>
<div class="container" style="width:98%">
	<div class="panel panel-info">
		<div class="panel-heading">
		<div class="btn-group pull-right">
				<button type='button' class="btn btn-info" data-toggle="modal" data-target="#precioModal"><span class="glyphicon glyphicon-plus" ></span> Nuevo precio</button>
			</div>
				<h4><i class='glyphicon glyphicon-search'></i> Consultar precio</h4>
		</div>
		<div class="panel-body">
			<?php
			include("modal/registro_precios.php");
			include("modal/editar_precios.php");
			
			?>
			<form class="form-horizontal" role="form" id="datos" method="post">
				
				<div class="form-group row">
					<div class="table-responsive" align="center">
						<table class="table">
   			       			<tr  class="info">
		       					<td align="right">Ingrese precio a Buscar</td>
        			    		<td>
								<input type="text" class="form-control" id="q" placeholder="" onkeyup='load(1);'>
								</td>
			            	</tr>
                		</table>
            		</div>
				</div>		
			</form>
			<div id="resultados"></div><!-- Carga los datos ajax -->
			<div class='outer_div'></div><!-- Carga los datos ajax -->
			
  		</div>
	</div>
</div>
<hr>
<?php
include("footer.php");
?>
</body>
</html>

<script>
$(document).ready(function(){
			load(1);
		});

		function load(page){
			var q= $("#q").val();
			
			$("#loader").fadeIn('slow');
			$.ajax({
				type: "POST",
				url:'./ajax/buscar_precios.php',
				data:'action=ajax&page='+page+'&q='+q,
				 beforeSend: function(objeto){
				 $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
			  },
				success:function(data){
					$(".outer_div").html(data).fadeIn('slow');
					$('#loader').html('');
					
				}
			})
		}

		


$( "#guardar_precio" ).submit(function( event ) {
  $('#guardar_datos').attr("disabled", true);
  
 var parametros = $(this).serialize();
	 $.ajax({
			type: "POST",
			url: "ajax/nuevo_precio.php",
			data: parametros,
			 beforeSend: function(objeto){
				$("#resultados_ajax").html("Mensaje: Cargando...");
			  },
			success: function(datos){
			$("#resultados_ajax").html(datos);
			$('#guardar_datos').attr("disabled", false);
			load(1);
		  }
	});
  event.preventDefault();
})

$( "#editar_precio" ).submit(function( event ) {
  $('#actualizar_datos2').attr("disabled", true);
  
 var parametros = $(this).serialize();
	 $.ajax({
			type: "POST",
			url: "ajax/editar_precio.php",
			data: parametros,
			 beforeSend: function(objeto){
				$("#resultados_ajax2").html("Mensaje: Cargando...");
			  },
			success: function(datos){
			$("#resultados_ajax2").html(datos);
			$('#actualizar_datos2').attr("disabled", false);
			load(1);
		  }
	});
  event.preventDefault();
})


	function get_precio_id(id){
		$("#precio_id_mod").val(id);
}

	function obtener_datos(id){
			var nombre = $("#nombre_precio"+id).val();
			var tipo = $("#tipo_precio"+id).val();
			$("#mod_id_precio").val(id);
			$("#nombre_precio2").val(nombre);
			$("#tipo_precio2").val(tipo);
			
		}
		
		function eliminar (id)
		{

		if (confirm("Realmente deseas eliminar la precio")){	
		$.ajax({
        type: "GET",
        url: "./ajax/eliminar_precio.php",
        data: "id="+id,
		 
        success: function(datos){
		load(1);
		}
			});
		}
		}
		
</script>